Bug 636892 - Review Request: perl-threads-shared - Perl extension for sharing data structures between threads
Summary: Review Request: perl-threads-shared - Perl extension for sharing data structu...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 636545
TreeView+ depends on / blocked
 
Reported: 2010-09-23 15:43 UTC by Petr Pisar
Modified: 2010-09-27 15:02 UTC (History)
2 users (show)

Fixed In Version: perl-threads-shared-1.33-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-27 15:02:35 UTC
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2010-09-23 15:43:50 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-threads-shared/perl-threads-shared.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-threads-shared/perl-threads-shared-1.33-1.fc14.src.rpm
Description:
By default, variables are private to each thread, and each newly created
thread gets a private copy of each existing variable. This module allows
you to share variables across different threads (and pseudo-forks on
Win32). It is used together with the threads module.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2484635

$ rpmlint perl-threads-shared.spec ../SRPMS/perl-threads-shared-1.33-1.fc14.src.rpm ../RPMS/x86_64/perl-threads-shared-1.33-1.fc14.x86_64.rpm 
perl-threads-shared.spec: W: no-cleaning-of-buildroot %clean
perl-threads-shared.spec: W: no-buildroot-tag
perl-threads-shared.spec: W: no-%clean-section
perl-threads-shared.src: W: no-cleaning-of-buildroot %clean
perl-threads-shared.src: W: no-buildroot-tag
perl-threads-shared.src: W: no-%clean-section
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Post-F12 build without BuildRoot.

This is dual-life package for perl(threads::shared) targeting F15 and newer.

$ rpm -pqlv ../RPMS/x86_64/perl-threads-shared-1.33-1.fc14.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 Sep 23 15:32 /usr/lib64/perl5/auto/threads
drwxr-xr-x    2 root    root                        0 Sep 23 15:32 /usr/lib64/perl5/auto/threads/shared
-rwxr-xr-x    1 root    root                    44832 Sep 23 15:32 /usr/lib64/perl5/auto/threads/shared/shared.so
drwxr-xr-x    2 root    root                        0 Sep 23 15:32 /usr/lib64/perl5/threads
-rw-r--r--    1 root    root                    18606 Mar  8  2010 /usr/lib64/perl5/threads/shared.pm
drwxr-xr-x    2 root    root                        0 Sep 23 15:32 /usr/share/doc/perl-threads-shared-1.33
-rw-r--r--    1 root    root                     4221 Mar  9  2010 /usr/share/doc/perl-threads-shared-1.33/Changes
-rw-r--r--    1 root    root                      477 Mar  8  2010 /usr/share/doc/perl-threads-shared-1.33/README
-rw-r--r--    1 root    root                     7259 Sep 23 15:32 /usr/share/man/man3/threads::shared.3pm.gz

Comment 1 Marcela Mašláňová 2010-09-23 16:29:09 UTC
- rpmlint checks return:
 a lot of rubbish. That's ok because rpmlint wasn't still fixed.
- package meets naming guidelines OK
- package meets packaging guidelines OK
- license ( GPL+ or Artistic) OK, text in %doc, matches source OK
- spec file legible, in am. english OK
- source matches upstream OK
- package compiles on devel (x86) OK
- no missing BR OK
- no unnecessary BR OK
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- macro use consistent OK
- code, not content OK
- no need for -docs OK
- nothing in %doc affects runtime OK
- no need for .desktop file  OK
No problem with package. Only in perl core needs to be created sub-package first for correct update.

Comment 2 Petr Pisar 2010-09-24 11:59:31 UTC
New Package SCM Request
=======================
Package Name: perl-threads-shared
Short Description: Perl extension for sharing data structures between threads
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

F15 branch please if you process it after rawhide to F16 transition.

Comment 3 Kevin Fenzi 2010-09-25 05:05:44 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2010-09-27 15:02:35 UTC
Thanks for review and repository.


Note You need to log in before you can comment on or make changes to this bug.